# studio::Dock_Navigator Class Reference

`#include <dock_navigator.h>`

Inheritance diagram for studio::Dock_Navigator:

List of all members.

## Public Member Functions

| Dock_Navigator ()
| ~Dock_Navigator ()
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

studio::Dock_Navigator::Dock_Navigator | ( |  | ) |

studio::Dock_Navigator::~Dock_Navigator | ( |  | ) |

## Member Function Documentation

void studio::Dock_Navigator::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::clear_previous().

The documentation for this class was generated from the following files:

- dock_navigator.h
- dock_navigator.cpp